libdbi 0.8.4-5.1 source package in Ubuntu

Changelog

libdbi (0.8.4-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop the unneeded Replaces/Conflicts from libdbi1.
  * Drop the unneeded Breaks from libdbi-dev and fix the Replaces
    to state the right version.  (Closes: #633484)
    Thanks to Angel Abad <email address hidden> for the help.

libdbi (0.8.4-5) unstable; urgency=low

  * Now Replaces: libdbi (<< 0.8.4-2) and not <= (Closes: #633484).

libdbi (0.8.4-4) unstable; urgency=low

  * Now also Breaks: libdbi (<= 0.8.4-2) (Closes: #633484).

libdbi (0.8.4-3) unstable; urgency=low

  * Added a Breaks: libdbi0 and Replaces: libdbi0 in the libdbi-dev so that the
  .a and .la files now in libdbi-dev will upgrade correctly (Closes: #633484).

libdbi (0.8.4-2) unstable; urgency=low

  * Moves the .la and .a files in the -dev package (Closes: #632135).
  * Adds a Provides: libdbi0-dev to libdbi-dev.

libdbi (0.8.4-1) unstable; urgency=low

  * New upstream release.
  * Recommits the changes bellow.
  * Standard-Version is now 3.9.2.
  * Renamed libdbi0-dev to libdbi-dev.
  * Renamed libdbi0 to libdbi1 as the soname increased (ABI incompatibility).
  * Removes dependency_libs as per
  http://wiki.debian.org/ReleaseGoals/LAFileRemoval.
  * Now building on a copy of all sources, as the build process really is
  too hard to clean, and upstream doesn't do it correctly.
  * As a consequence, autoreconf not needed anymore, so removed from
  build-dependss.

libdbi (0.8.3+really0.8.2-1) unstable; urgency=low

  * This upload reverts back to 0.8.2 because of an ABI change in the error
    codes as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=594607
    this is only temporary and in SID only in order to not bother anyone that
    has dependencies to libdbi. My appologies to the release team, but to my
    defence, I trusted upstream saying that there was only bugfixes and no
    other change.
  * Still keeping <email address hidden> as maintainer email.

libdbi (0.8.3-1) unstable; urgency=low

  * New upstream release (Closes: #592447, #565562).
  * Now using my email <email address hidden> on the maintainer field.
  * Now depends on debhelper 7.
  * Added some missing Depends: ${misc:Depends}.
  * Now using Standards-Version 3.9.1.
  * Added Vcs-Browser: URL where I'll keep the Debian package source.
  * Added debian/source/format file, using 1.0 with autoreconf to avoid clean
    target head akes.
  * Not using dh_clean -k but dh_prep in debian/rules.
  * Removed the duplicate section fields.
  * Reviewed a bit short and long descriptions.
  * Now calls ./autogen.sh before ./configure, the package also
    Build-Depends on automake and libtool.
  * In debian/rules, added rm -rf debian/libdbi0/usr/lib/pkgconfig in the
    install target.
 -- Clint Byrum <email address hidden>   Mon,  25 Jul 2011 10:56:44 +0000

Upload details

Uploaded by:
Clint Byrum on 2011-07-25
Uploaded to:
Oneiric
Original maintainer:
Thomas Goirand
Architectures:
any
Section:
libs
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Precise release on 2011-10-13 main libs

Downloads

File Size SHA-256 Checksum
libdbi_0.8.4.orig.tar.gz 1020.7 KiB ef38db616f0752ccb09b8ba2eac471722369b8ded50b153c25e238cac2c8de99
libdbi_0.8.4-5.1.diff.gz 26.4 KiB f595a248690f01bccb63bcd1495b1b3b2f746918e2f4ad84eeb055a845e2d8a4
libdbi_0.8.4-5.1.dsc 1.2 KiB 5e7f0a53fa48ad743474319a9a02ec62a0c6f405b2fab76af2a8dad8657fa02a

Available diffs

View changes file

Binary packages built by this source

libdbi-dev: No summary available for libdbi-dev in ubuntu oneiric.

No description available for libdbi-dev in ubuntu oneiric.

libdbi-doc: No summary available for libdbi-doc in ubuntu quantal.

No description available for libdbi-doc in ubuntu quantal.

libdbi1: No summary available for libdbi1 in ubuntu oneiric.

No description available for libdbi1 in ubuntu oneiric.